package ams;
import java.io.*;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;
/**
 * @version 	1.0
 * @author
 */
public class AddGenerPrecp extends HttpServlet 
{
	Connection con;
	PreparedStatement pstmt;
			
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void destroy() 
	{
		try
		{
			pstmt.close();
			con.close();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}			
	}

	/**
	* @see javax.servlet.http.HttpServlet#void (javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	*/
	public void doGet(HttpServletRequest req, HttpServletResponse resp)
		throws ServletException, IOException
	{
		resp.setContentType( "text/html" );
		
		String patno = req.getParameter("patno");
		String patname = req.getParameter("patname");
		int pno = Integer.parseInt(req.getParameter("pno"));
		String prob = req.getParameter("prob");
		String precp = req.getParameter("precp");
		String suggs = req.getParameter("suggs");
		String adoc  = req.getParameter("adoc");
		
		PrintWriter out = resp.getWriter();
					
		try
		{
			pstmt.setString(1,patno);
			pstmt.setString(2,patname);
			pstmt.setInt(3,pno);
			pstmt.setString(4,prob);
			pstmt.setString(5,adoc);
			pstmt.setString(6,precp);
			pstmt.setString(7,suggs);
			
			pstmt.executeUpdate();
			System.out.println("Statement Executed");
			
			resp.sendRedirect( "CongratDoctor.html" );
		}	
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void init() throws ServletException 
	{
		try
		{
     Class.forName("oracle.jdbc.driver.OracleDriver");
		con = DriverManager.getConnection("jdbc:oracle:thin:@localhost:1521:XE","clinical","clinical");	
       	System.out.println("Connection Created");
			pstmt=con.prepareStatement("INSERT INTO Prescription values(?,?,?,?,?,?,?)");
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}

}
