package ams;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @version 	1.0
 * @author
 */
public class AddLabPrecp extends HttpServlet 
{
	Connection con;
	PreparedStatement pstmt;
			
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void destroy() 
	{
		try
		{
			pstmt.close();
			con.close();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}			
	}

	/**
	* @see javax.servlet.http.HttpServlet#void (javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	*/
	public void doGet(HttpServletRequest req, HttpServletResponse resp)
		throws ServletException, IOException
	{
		resp.setContentType( "text/html" );
		
		int patno = Integer.parseInt(req.getParameter("patno"));
		String patname = req.getParameter("patname");
		String prob = req.getParameter("prob");
		String prebtest = req.getParameter("prebtest");
		String spec = req.getParameter("spec");
		String refdoc = req.getParameter("refdoc");
		int pno=Integer.parseInt(req.getParameter("pno"));
		
		PrintWriter out = resp.getWriter();
					
		try
		{
			pstmt.setInt(1,patno);
			pstmt.setString(2,patname);
			pstmt.setInt(3,pno);
			pstmt.setString(4,prob);
			pstmt.setString(5,prebtest);
			pstmt.setString(6,spec);
			pstmt.setString(7,refdoc);
			pstmt.executeUpdate();
			System.out.println("Statement Executed");
			
			resp.sendRedirect( "CongratDoctor.html" );
		}	
		catch(Exception e)
		{
			System.out.println(e);
		}
	}
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void init() throws ServletException 
	{
		try
		{
		Class.forName("oracle.jdbc.driver.OracleDriver");
		con = DriverManager.getConnection("jdbc:oracle:thin:@localhost:1521:XE","clinical","clinical");	
       
		System.out.println("Connection Created");
		pstmt=con.prepareStatement("INSERT INTO LABPRESCRIPTION values(?,?,?,?,?,?,?)");
		}
		catch(Exception e)
		{
			System.out.println("one:"+e);
		}
	}

}
