package ams;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @version 	1.0
 * @author
 */
public class AddWard extends HttpServlet 
{
	Connection con;
	PreparedStatement pstmt;
			
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void destroy() 
	{
		try
		{
			pstmt.close();
			con.close();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}			
	}

	/**
	* @see javax.servlet.http.HttpServlet#void (javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	*/
	public void doGet(HttpServletRequest req, HttpServletResponse resp)
		throws ServletException, IOException
	{
		resp.setContentType( "text/html" );
		
		int wardno = Integer.parseInt(req.getParameter("wardno"));
		String wardname = req.getParameter("wardname");
		int blockno =Integer.parseInt(req.getParameter("blockno"));
		int pno = Integer.parseInt(req.getParameter("pno"));
		int apno = Integer.parseInt(req.getParameter("apno"));
		int norooms = Integer.parseInt(req.getParameter("norooms"));
		String labs = req.getParameter("labs");
		String olabs = req.getParameter("olabs");
		
		PrintWriter out = resp.getWriter();
					
		try
		{
			pstmt.setInt(1,wardno);
			pstmt.setString(2,wardname);
			pstmt.setInt(3,blockno);
			pstmt.setInt(4,pno);
			pstmt.setInt(5,apno);
			pstmt.setInt(6,norooms);
			pstmt.setString(7,labs);
			pstmt.setString(8,olabs);
			
			pstmt.executeUpdate();
			System.out.println("Statement Executed");
			
			resp.sendRedirect( "Congratadd.html" );
		}	
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void init() throws ServletException 
	{
		try
		{
    Class.forName("oracle.jdbc.driver.OracleDriver");
		con = DriverManager.getConnection("jdbc:oracle:thin:@localhost:1521:XE","clinical","clinical");	
       		pstmt=con.prepareStatement("INSERT INTO WARD VALUES (?,?,?,?,?,?,?,?)");
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}

}
