package ams;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @version 	1.0
 * @author
 */
public class CliPat extends HttpServlet 
{
	Connection con;
	PreparedStatement pstmt;
	PreparedStatement pstmt1;
	PreparedStatement pstmt2;
	PreparedStatement pstmt3;
			
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void destroy() 
	{
		try
		{
			pstmt.close();
			con.close();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}			
	}

	/**
	* @see javax.servlet.http.HttpServlet#void (javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	*/
	public void doGet(HttpServletRequest req, HttpServletResponse resp)
		throws ServletException, IOException
	{
		resp.setContentType( "text/html" );
		
		String patno = req.getParameter("patno");
		String hb = req.getParameter("hb");
		String trbc = req.getParameter("trbc");
		String twbc = req.getParameter("twbc");
		String poly = req.getParameter("poly");
		String lymp = req.getParameter("lymp");
		String esno = req.getParameter("esno");
		String mono = req.getParameter("mono");
		String baso = req.getParameter("baso");
		String esr = req.getParameter("esr");
		String aec = req.getParameter("aec");
		String mt = req.getParameter("mt");
		String ret = req.getParameter("ret");
		String mvc = req.getParameter("mcv");
		String mch = req.getParameter("mch");
		String mchc = req.getParameter("mchc");
		String pc = req.getParameter("pc");
		String pcv = req.getParameter("pcv");
		String bt = req.getParameter("bt");
		String ct = req.getParameter("ct");
		String smp = req.getParameter("smp");
		String bmf = req.getParameter("bmf");
		String bg = req.getParameter("bg");
		String rht = req.getParameter("rht");
		
		String sg = req.getParameter("sg");
		String kb = req.getParameter("kb");
		String su = req.getParameter("su");
		String al = req.getParameter("al");
		String pho = req.getParameter("pho");
		String bs = req.getParameter("bs");
		String bp = req.getParameter("bp");
		String urbl = req.getParameter("urbl");
		String ch = req.getParameter("ch");
		String mic = req.getParameter("mic");
		String epc = req.getParameter("epc");
		String prt = req.getParameter("prt");
		String patno1 = req.getParameter("patno");
		
		String patno2 = req.getParameter("patno");
		String rord0 = req.getParameter("rord0");
		String rord1 = req.getParameter("rord1");
		String rord2 = req.getParameter("rord2");
		String rord3 = req.getParameter("rord3");
		String vdrl = req.getParameter("vdrl");
		String tpha = req.getParameter("tpha");
		
		String patno3 = req.getParameter("patno");
		String resu = req.getParameter("resu");
		String ocbl = req.getParameter("ocbl");
		String mic1 = req.getParameter("mic");
		String sgs = req.getParameter("sgs");
		String sfab = req.getParameter("sfab");
		
		PrintWriter out = resp.getWriter();
					
		try
		{
			pstmt.setString(1,patno);
			pstmt.setString(2,hb);
			pstmt.setString(3,trbc);
			pstmt.setString(4,twbc);
			pstmt.setString(5,poly);
			pstmt.setString(6,lymp);
			pstmt.setString(7,esno);
			pstmt.setString(8,mono);
			pstmt.setString(9,baso);
			pstmt.setString(10,esr);
			pstmt.setString(11,aec);
			pstmt.setString(12,mt);
			pstmt.setString(13,ret);
			pstmt.setString(14,mvc);
			pstmt.setString(15,mch);
			pstmt.setString(16,mchc);
			pstmt.setString(17,pc);
			pstmt.setString(18,pcv);
			pstmt.setString(19,bt);
			pstmt.setString(20,ct);
			pstmt.setString(21,smp);
			pstmt.setString(22,bmf);
			pstmt.setString(23,bg);
			pstmt.setString(24,rht);
			
			pstmt1.setString(1,sg);
			pstmt1.setString(2,kb);
			pstmt1.setString(3,su);
			pstmt1.setString(4,al);
			pstmt1.setString(5,pho);
			pstmt1.setString(6,bs);
			pstmt1.setString(7,bp);
			pstmt1.setString(8,urbl);
			pstmt1.setString(9,ch);
			pstmt1.setString(10,mic);
			pstmt1.setString(11,epc);
			pstmt1.setString(12,prt);
			pstmt1.setString(13,patno);
			
			pstmt2.setString(1,patno);
			pstmt2.setString(2,rord0);
			pstmt2.setString(3,rord1);
			pstmt2.setString(4,rord2);
			pstmt2.setString(5,rord3);
			pstmt2.setString(6,vdrl);
			pstmt2.setString(7,tpha);
			
			pstmt3.setString(1,patno);
			pstmt3.setString(2,resu);
			pstmt3.setString(3,ocbl);
			pstmt3.setString(4,mic1);
			pstmt3.setString(5,sgs);
			pstmt3.setString(6,sfab);
						
			pstmt.executeUpdate();
			pstmt1.executeUpdate();
			pstmt2.executeUpdate();
			pstmt3.executeUpdate();
			
			System.out.println("Statements Executed");
			
			resp.sendRedirect( "Congratadd.html" );
		}	
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void init() throws ServletException 
	{
		try
		{
	Class.forName("oracle.jdbc.driver.OracleDriver");
		con = DriverManager.getConnection("jdbc:oracle:thin:@localhost:1521:XE","clinical","clinical");	
       	System.out.println("Connection Created");
			pstmt=con.prepareStatement( "INSERT INTO BLOODREPORT (PATNO, HB, TRBC, TWBC, POLY, LYMP, ESNO, MONO, BASO, ESR, AEC, MT, RET, MVC, MCH, MCHC, PC, PCV, BT, CT, SMP, BMF, BG, RHT) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)" );
			pstmt1=con.prepareStatement("INSERT INTO URINEEX (SG, KB, SU, AL, PHO, BS, BP, URBL, CH, MIC, EPC, PRT, PATNO) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)");
			pstmt2=con.prepareStatement("INSERT INTO WIDALTEST (PATNO, RORD0, RORD1, RORD2, RORD3, VDRL, TPHA) VALUES (?,?,?,?,?,?,?)");
			pstmt3=con.prepareStatement("INSERT INTO STOOLTEST (PATNO, RESU, OCBL, MIC, SGS, SFAB) VALUES (?,?,?,?,?,?)");
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}

}