package ams;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Date;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @version 	1.0
 * @author
 */
public class OutBill extends HttpServlet 
{
	Connection con;
	PreparedStatement pstmt;
			
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void destroy() 
	{
		try
		{
			pstmt.close();
			con.close();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}			
	}

	/**
	* @see javax.servlet.http.HttpServlet#void (javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	*/
	public void doGet(HttpServletRequest req, HttpServletResponse resp)
		throws ServletException, IOException
	{
		resp.setContentType( "text/html" );
		PrintWriter out = resp.getWriter();
		String patno = req.getParameter("patno");
		String patname = req.getParameter("patname");
		int age = Integer.parseInt(req.getParameter("age"));
		String gen = req.getParameter("gen");
		String dat = req.getParameter("dat");
		int doctfees = Integer.parseInt(req.getParameter("doctfees"));
		int labcharges = Integer.parseInt(req.getParameter("labcharges"));
		int pharmacharges = Integer.parseInt(req.getParameter("pharmacharges"));
		String total=req.getParameter("total");	
		
					
		try
		{
			pstmt.setString(1,patno);
			pstmt.setString(2,patname);
			pstmt.setInt(3,age);
			pstmt.setString(4,gen);
			pstmt.setString(5,dat);
			pstmt.setInt(6,doctfees);
			pstmt.setInt(7,labcharges);
			pstmt.setInt(8,pharmacharges);
			pstmt.setString(9,total);
						
			pstmt.executeUpdate();
			System.out.println("Statement Executed");
			
			resp.sendRedirect( "CongratAddR.html" );
		}	
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void init() throws ServletException 
	{
		try
		{
	 Class.forName("oracle.jdbc.driver.OracleDriver");
		con = DriverManager.getConnection("jdbc:oracle:thin:@localhost:1521:XE","clinical","clinical");	
       	System.out.println("Connection Created");
			pstmt=con.prepareStatement("INSERT INTO OUTBILL VALUES (?,?,?,?,?,?,?,?,?)");
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}

}
