package ams;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @version 	1.0
 * @author
 */
public class AddDep extends HttpServlet 
{
	Connection con;
	PreparedStatement pstmt;
			
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void destroy() 
	{
		try
		{
			pstmt.close();
			con.close();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}			
	}

	/**
	* @see javax.servlet.http.HttpServlet#void (javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	*/
	public void doGet(HttpServletRequest req, HttpServletResponse resp)
		throws ServletException, IOException
	{
		resp.setContentType( "text/html" );
		
		int depno = Integer.parseInt(req.getParameter("depno"));
		String depname = req.getParameter("depname");
		int pno = Integer.parseInt(req.getParameter("pno"));
		int apno = Integer.parseInt(req.getParameter("apno"));
		int staffno = Integer.parseInt(req.getParameter("staffno"));
		int docno = Integer.parseInt(req.getParameter("docno"));
		int wardno = Integer.parseInt(req.getParameter("wardno"));
		
		PrintWriter out = resp.getWriter();
					
		try
		{
			pstmt.setInt(1,depno);
			pstmt.setString(2,depname);
			pstmt.setInt(3,pno);
			pstmt.setInt(4,apno);
			pstmt.setInt(5,staffno);
			pstmt.setInt(6,docno);
			pstmt.setInt(7,wardno);
			
			pstmt.executeUpdate();
			System.out.println("Statement Executed");
			resp.sendRedirect( "Congratadd.html" );
		}	
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void init() throws ServletException 
	{
		try
		{
			Class.forName("oracle.jdbc.driver.OracleDriver");
			con = DriverManager.getConnection("jdbc:oracle:thin:@localhost:1521:XE","clinical","clinical");	
		  pstmt=con.prepareStatement("INSERT INTO DEPARTMENT VALUES (?,?,?,?,?,?,?)");
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}

}
