package ams;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Date;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @version 	1.0
 * @author
 */
public class AddPat extends HttpServlet 
{
	Connection con;
	PreparedStatement pstmt;
			
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void destroy() 
	{
		try
		{
			pstmt.close();
			con.close();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}			
	}

	/**
	* @see javax.servlet.http.HttpServlet#void (javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	*/
	public void doGet(HttpServletRequest req, HttpServletResponse resp)
		throws ServletException, IOException
	{
		resp.setContentType( "text/html" );
		
		String patno = req.getParameter("patno");
		String patname = req.getParameter("patname");
		int pno = Integer.parseInt(req.getParameter("pno"));
		String prob = req.getParameter("prob");
		int age = Integer.parseInt(req.getParameter("age"));
		String gen = req.getParameter("gen");
		String add = req.getParameter("add");
		String dat = req.getParameter("dat");
				
		PrintWriter out = resp.getWriter();
					
		try
		{
			pstmt.setString(1,patno);
			pstmt.setString(2,patname);
			pstmt.setInt(3,pno);
			pstmt.setString(4,prob);
			pstmt.setInt(5,age);
			pstmt.setString(6,gen);
			pstmt.setString(7,add);
			pstmt.setString(8,dat);
			
			pstmt.executeUpdate();
			System.out.println("Statement Executed");
			
			resp.sendRedirect( "CongratAddR.html" );
		}	
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void init() throws ServletException 
	{
		try
		{
			Class.forName("oracle.jdbc.driver.OracleDriver");
			con = DriverManager.getConnection("jdbc:oracle:thin:@localhost:1521:XE","clinical","clinical");	
			System.out.println("Connection Created");
			pstmt=con.prepareStatement("INSERT INTO PATIENT VALUES(?,?,?,?,?,?,?,?)");
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}

}
