package ams;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Date;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @version 	1.0
 * @author
 */
public class InBill extends HttpServlet 
{
	Connection con;
	PreparedStatement pstmt;
			
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void destroy() 
	{
		try
		{
			pstmt.close();
			con.close();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}			
	}

	/**
	* @see javax.servlet.http.HttpServlet#void (javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	*/
	public void doGet(HttpServletRequest req, HttpServletResponse resp)
		throws ServletException, IOException
	{
		
		resp.setContentType( "text/html" );
		PrintWriter out = resp.getWriter();
		String patno = req.getParameter("patno");
		String patname = req.getParameter("patname");
		int age = Integer.parseInt(req.getParameter("age"));
	            System.out.println(age);
		String dat = req.getParameter("dat");
		int doctfees = Integer.parseInt(req.getParameter("doctfees"));
		int labcharges = Integer.parseInt(req.getParameter("labcharges"));
		int pharmacharges = Integer.parseInt(req.getParameter("pharmacharges"));
		int roomcharges = Integer.parseInt(req.getParameter("roomcharges"));
		int nursecharges = Integer.parseInt(req.getParameter("nursecharges"));
		String total=req.getParameter("total");
		
					
			try	{
				pstmt=con.prepareStatement("INSERT INTO INBILL VALUES (?,?,?,?,?,?,?,?,?,?)");
				System.out.println("hi");
			pstmt.setString(1,patno);
			pstmt.setString(2,patname);
			pstmt.setString(4,dat);
			pstmt.setInt(3,age);
			System.out.println(age);
			pstmt.setInt(5,doctfees);
			pstmt.setInt(6,labcharges);
			pstmt.setInt(7,pharmacharges);
			pstmt.setInt(8,roomcharges);
			pstmt.setInt(9,nursecharges);
			pstmt.setString(10,total);			
			pstmt.executeUpdate();
			System.out.println("Statement Executed");
			
			resp.sendRedirect( "incongrat.jsp" );
		}	
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}
	/**
	* @see javax.servlet.GenericServlet#void ()
	*/
	public void init() throws ServletException 
	{
		try
		{
		
			Class.forName("oracle.jdbc.driver.OracleDriver");
			con = DriverManager.getConnection("jdbc:oracle:thin:@localhost:1521:XE","clinical","clinical");	
       		System.out.println("Connection Created");
			}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}

}
